# ES6

# importo i moduli
import numpy as np
import matplotlib.pyplot as plt

# leggo le quantita' nel file
l = np.genfromtxt("NGC5139.dat")
vr= l[:,0]
er= l[:,1]
Fe= l[:,2]


# seleziono le quantita' per stelle di campo
VrS = vr[np.where(vr<180)]
ErS = er[np.where(vr<180)]
FeS = Fe[np.where(vr<180)]

#Calcolo la media pesata delle velocita' delle stelle di campo usando le formule date
w = 1/(ErS**2)
Wm = np.sum(w*VrS)/(np.sum(w))
print "La media pesata delle velocita delle stelle di campo vale:", Wm, "km/s"

#Calcolo la media delle metallicita' delle stelle di campo
mFeS = np.mean(FeS)
print "L'abbondanza media delle stelle di campo vale", mFeS, "dex"


# PLOT

plt.hist(vr, bins=50)

ymin, ymax = plt.ylim()

plt.plot([Wm,Wm],[ymin,ymax],"b")
plt.ylim([0,ymax])
plt.xlabel('Radial Velocity [km/s]')
plt.ylabel('N')

plt.show()


